be.fgov.ehealth.hubservices.core.v3

## Class SelectGetLatestUpdateType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v3.SelectGetLatestUpdateType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:20:26+01:00",
                 comments="JAXB RI v2.3.7")
      public class SelectGetLatestUpdateType
      extends Object
      implements Serializable

  Java class for SelectGetLatestUpdateType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SelectGetLatestUpdateType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="criteria" maxOccurs="unbounded">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v3}PatientIdType"/>
                         <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TRANSACTION" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectGetLatestUpdateType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Criteria>` | `getCriterias()` Gets the value of the criterias property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectGetLatestUpdateType

          public SelectGetLatestUpdateType()

  - ### Method Detail

    - #### getCriterias

          public List<Criteria> getCriterias()

      Gets the value of the criterias property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the criterias property.

      For example, to add a new item, do as follows:

              getCriterias().add(newItem);

      Objects of the following type(s) are allowed in the list `Criteria`

Connector Packaging generic 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.